"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_2 = require("@testing-library/react");
var user_event_1 = __importDefault(require("@testing-library/user-event"));
var AddressField_types_1 = require("./AddressField.types");
var AddressField_1 = __importDefault(require("./AddressField"));
var utils_1 = require("./utils");
function renderAddressField(props) {
    if (props === void 0) { props = {}; }
    return (0, react_2.render)(react_1.default.createElement(AddressField_1.default, __assign({ resolveName: jest.fn() }, props)));
}
var address = '0x89805E5f0698Cb4dB57f0E389f2a75259f78CC22';
var name = 'test.dcl.eth';
var screen;
var resolveNameMock;
var onChangeMock;
describe('when user inputs an address', function () {
    beforeEach(function () { return __awaiter(void 0, void 0, void 0, function () {
        var addressInput;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    resolveNameMock = jest.fn();
                    onChangeMock = jest.fn();
                    screen = renderAddressField({
                        resolveName: resolveNameMock,
                        placeholder: 'test address',
                        onChange: onChangeMock
                    });
                    addressInput = screen.getByPlaceholderText('test address');
                    user_event_1.default.type(addressInput, address);
                    return [4 /*yield*/, (0, react_2.waitFor)(function () {
                            return expect(screen.getByTestId('check-icon')).toBeInTheDocument();
                        })];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should not call resolveName function', function () {
        expect(resolveNameMock).not.toHaveBeenCalled();
    });
    it('should show the address as the input value', function () {
        expect(screen.getByPlaceholderText('test address')).toHaveValue(address);
    });
    it('should not show the resolved address', function () {
        expect(screen.queryByTestId('resolved-address')).not.toBeInTheDocument();
    });
    it('should call onChange callback with address', function () {
        expect(onChangeMock).toHaveBeenCalledWith(expect.anything(), expect.objectContaining({ value: address, error: undefined }));
    });
});
describe('when user inputs a name', function () {
    describe('and the name resolves correctly to an address', function () {
        beforeEach(function () { return __awaiter(void 0, void 0, void 0, function () {
            var addressInput;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        resolveNameMock = jest.fn().mockResolvedValue(address);
                        onChangeMock = jest.fn();
                        screen = renderAddressField({
                            resolveName: resolveNameMock,
                            placeholder: 'test address',
                            onChange: onChangeMock
                        });
                        addressInput = screen.getByPlaceholderText('test address');
                        user_event_1.default.type(addressInput, name);
                        return [4 /*yield*/, (0, react_2.waitFor)(function () {
                                return expect(screen.getByTestId('check-icon')).toBeInTheDocument();
                            })];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        }); });
        it('should keep the name as the input value', function () {
            expect(screen.getByPlaceholderText('test address')).toHaveValue(name);
        });
        it('should show the resolved address', function () {
            expect(screen.queryByTestId('resolved-address')).toBeInTheDocument();
        });
        it('should show the cropped address', function () {
            expect(screen.queryByText((0, utils_1.shorten)(address))).toBeInTheDocument();
        });
        it('should call onChange callback with resolved address', function () {
            expect(onChangeMock).toHaveBeenCalledWith(expect.anything(), expect.objectContaining({ value: address, error: undefined }));
        });
    });
    describe("and the name doesn't resolve to an address", function () {
        beforeEach(function () { return __awaiter(void 0, void 0, void 0, function () {
            var addressInput;
            return __generator(this, function (_a) {
                resolveNameMock = jest.fn().mockResolvedValue(undefined);
                onChangeMock = jest.fn();
                screen = renderAddressField({
                    resolveName: resolveNameMock,
                    placeholder: 'test address',
                    onChange: onChangeMock
                });
                addressInput = screen.getByPlaceholderText('test address');
                user_event_1.default.type(addressInput, name);
                return [2 /*return*/];
            });
        }); });
        it('should keep the name as the input value', function () {
            expect(screen.getByPlaceholderText('test address')).toHaveValue(name);
        });
        it('should show an error', function () { return __awaiter(void 0, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, (0, react_2.waitFor)(function () {
                            return expect(screen.getByText('This is not a valid name or address')).toBeInTheDocument();
                        })];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        }); });
        it('should call onChange callback with the invalid address/name', function () { return __awaiter(void 0, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, (0, react_2.waitFor)(function () {
                            expect(onChangeMock).toHaveBeenCalledWith(expect.anything(), expect.objectContaining({
                                value: name,
                                error: new Error(AddressField_types_1.AddressFieldErrors.INVALID_ADDRESS_OR_NAME)
                            }));
                        })];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        }); });
    });
});
describe('when there is an error resolving the name', function () {
    beforeEach(function () { return __awaiter(void 0, void 0, void 0, function () {
        var addressInput;
        return __generator(this, function (_a) {
            resolveNameMock = jest.fn().mockRejectedValue(new Error('Some ERROR'));
            onChangeMock = jest.fn();
            screen = renderAddressField({
                resolveName: resolveNameMock,
                placeholder: 'test address',
                onChange: onChangeMock
            });
            addressInput = screen.getByPlaceholderText('test address');
            user_event_1.default.type(addressInput, name);
            return [2 /*return*/];
        });
    }); });
    it('should show an error', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, (0, react_2.waitFor)(function () {
                        return expect(screen.getByText('This is not a valid name or address')).toBeInTheDocument();
                    })];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should call onChange callback with error', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, (0, react_2.waitFor)(function () {
                        expect(onChangeMock).toHaveBeenCalledWith(expect.anything(), expect.objectContaining({
                            value: name,
                            error: new Error(AddressField_types_1.AddressFieldErrors.ERROR_RESOLVING_NAME)
                        }));
                    })];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
});
