"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetStatusFilter = void 0;
var classnames_1 = __importDefault(require("classnames"));
var react_1 = __importStar(require("react"));
var Box_1 = require("../Box");
var Media_1 = require("../Media");
var RadioOptions_1 = require("../RadioOptions");
var AssetStatusFilter_types_1 = require("./AssetStatusFilter.types");
require("./AssetStatusFilter.css");
var AssetStatusFilter = function (props) {
    var i18n = props.i18n, onChange = props.onChange, value = props.value, className = props.className, _a = props.defaultCollapsed, defaultCollapsed = _a === void 0 ? false : _a;
    var isMobileOrTablet = (0, Media_1.useTabletAndBelowMediaQuery)();
    var options = (0, react_1.useMemo)(function () {
        return Object.values(AssetStatusFilter_types_1.AssetStatus).map(function (opt) { return ({
            value: opt,
            name: i18n.status[opt],
            info: i18n.tooltips[opt]
        }); });
    }, [i18n.status, i18n.tooltips]);
    var header = (0, react_1.useMemo)(function () { return (react_1.default.createElement("div", { className: "dui-asset-status-filter__header" },
        react_1.default.createElement("span", { className: "dui-asset-status-filter__name" }, i18n.title),
        isMobileOrTablet ? (react_1.default.createElement("span", { className: "dui-asset-status-filter__value" }, i18n.status[value])) : null)); }, [isMobileOrTablet, value, i18n.status]);
    return (react_1.default.createElement(Box_1.Box, { header: header, className: (0, classnames_1.default)('dui-asset-status-filter', className), collapsible: true, defaultCollapsed: defaultCollapsed || isMobileOrTablet },
        react_1.default.createElement(RadioOptions_1.RadioOptions, { value: value, options: options, onChange: onChange })));
};
exports.AssetStatusFilter = AssetStatusFilter;
