"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_2 = require("@testing-library/react");
var user_event_1 = __importDefault(require("@testing-library/user-event"));
var AssetStatusFilter_1 = require("./AssetStatusFilter");
var constants_1 = require("./constants");
function renderAssetStatusFilter(props) {
    if (props === void 0) { props = {}; }
    return (0, react_2.render)(react_1.default.createElement(AssetStatusFilter_1.AssetStatusFilter, __assign({ value: undefined, i18n: constants_1.i18n, onChange: jest.fn() }, props)));
}
var renderedComponent;
describe('when rendering the component', function () {
    beforeEach(function () {
        renderedComponent = renderAssetStatusFilter();
    });
    it.each(Object.values(constants_1.i18n.status))('should render the %s option', function (status) {
        var getByText = renderedComponent.getByText;
        expect(getByText(status)).toBeInTheDocument();
    });
});
describe.each(Object.keys(constants_1.i18n.status))('when clicking the %s option', function (status) {
    var onChange;
    beforeEach(function () {
        onChange = jest.fn();
        renderedComponent = renderAssetStatusFilter({ onChange: onChange });
    });
    it("should call the onChange callback prop with the ".concat(constants_1.i18n.status[status], " value"), function () {
        var getByText = renderedComponent.getByText;
        user_event_1.default.click(getByText(constants_1.i18n.status[status]));
        expect(onChange).toHaveBeenCalledWith(status);
    });
});
