import { Step } from '../MultiStep/MultiStep.types';
export declare enum AuthorizationStepStatus {
    LOADING_INFO = "loading_info",
    PENDING = "pending",
    WAITING = "waiting",
    PROCESSING = "processing",
    ALLOWANCE_AMOUNT_ERROR = "allowance_amount_error",
    ERROR = "error",
    DONE = "done"
}
export declare enum AuthorizationStepAction {
    REVOKE = "revoke",
    GRANT = "grant",
    CONFIRM = "confirm"
}
export declare type AuthorizationStep = Step & {
    status: AuthorizationStepStatus;
    actionType: AuthorizationStepAction;
};
export declare type Props = {
    currentStep: number;
    header: string;
    steps: AuthorizationStep[];
    onClose: () => void;
};
