import * as React from 'react';
import { Network } from '@dcl/schemas';
import { NetworkGatewayType } from './Network';
import './FeedbackModal.css';
export declare enum TransactionStatus {
    PENDING = "pending",
    SUCCESS = "success",
    FAILURE = "failure"
}
export declare type FeedbackModalProps = {
    className?: string;
    message?: React.ReactNode;
    hasError?: boolean;
    open?: boolean;
    loading?: boolean;
    i18n?: FeedbackModalI18N;
    transactionUrl?: string;
    selectedNetwork?: Network;
    selectedGateway?: NetworkGatewayType;
    goToUrl?: string;
    status: TransactionStatus;
    onClickCta?: () => void;
    onClickSecondaryCta?: () => void;
    onClose?: () => void;
    onInfo?: () => void;
};
export declare type FeedbackModalI18N = {
    title: React.ReactNode;
    statusTitle?: React.ReactNode;
    description: React.ReactNode;
    cta?: React.ReactNode;
    secondaryCta?: React.ReactNode;
    viewTransaction?: React.ReactNode;
    goToText?: React.ReactNode;
    error?: React.ReactNode;
};
export declare class FeedbackModal extends React.Component<FeedbackModalProps> {
    static defaultProps: {
        className: string;
        hasError: boolean;
        loading: boolean;
        i18n: {
            title: string;
            description: string;
            cta: string;
            viewTransaction: string;
        };
    };
    renderActions(): JSX.Element;
    renderStatusTitle(): JSX.Element;
    render(): JSX.Element;
}
