import * as React from 'react';
import { Network } from '@dcl/schemas';
import './Network.css';
export declare enum NetworkGatewayType {
    MOON_PAY = "moonPay",
    TRANSAK = "transak"
}
export declare type GatewaysNames = {
    [key in NetworkGatewayType]: string;
};
export declare const gatewaysNames: GatewaysNames;
export declare type BuyWithFiatNetworkProps = {
    className?: string;
    message?: React.ReactNode;
    open?: boolean;
    i18n?: NetworkI18N;
    type: Network;
    gateways: Omit<NetworkGatewayProps, 'network'>[];
    onClose?: () => void;
    onInfo?: () => void;
    onBack?: () => void;
};
export declare type NetworkGatewayProps = {
    type: NetworkGatewayType;
    network: Network;
    learnMoreLink?: string;
    i18n?: NetworkGatewayI18N;
    disabled?: boolean;
    onContinue: () => void;
};
export declare type NetworkI18N = {
    title: React.ReactNode;
    error: React.ReactNode;
};
export declare type NetworkGatewayI18N = {
    title: React.ReactNode;
    subtitle: React.ReactNode;
    continueButtonText: React.ReactNode;
    learnMoreText: React.ReactNode;
};
declare class ButWithFiatNetworkGateway extends React.PureComponent<NetworkGatewayProps> {
    render(): JSX.Element;
}
export declare class BuyWithFiatNetwork extends React.Component<BuyWithFiatNetworkProps> {
    static Gateway: typeof ButWithFiatNetworkGateway;
    enabledFirst({ disabled: disabledA }: {
        disabled?: boolean;
    }, { disabled: disabledB }: {
        disabled?: boolean;
    }): number;
    render(): JSX.Element;
}
export {};
