"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CategoryFilter = void 0;
var react_1 = __importStar(require("react"));
var classnames_1 = __importDefault(require("classnames"));
var Box_1 = require("../Box");
var Media_1 = require("../Media");
var SideMenu_1 = require("../SideMenu");
require("./CategoryFilter.css");
var CategoryFilter = function (_a) {
    var className = _a.className, i18n = _a.i18n, items = _a.items, value = _a.value, onClick = _a.onClick;
    var isMobileOrTablet = (0, Media_1.useTabletAndBelowMediaQuery)();
    var title = i18n.title;
    var selectedLabel = (0, react_1.useMemo)(function () {
        var _a;
        var lookForLabel = function (id, items) {
            for (var _i = 0, items_1 = items; _i < items_1.length; _i++) {
                var item = items_1[_i];
                if (item.id === id) {
                    return item.label;
                }
                if (item.children) {
                    var label = lookForLabel(id, item.children);
                    if (label) {
                        return label;
                    }
                }
            }
            return null;
        };
        return (_a = lookForLabel(value, items)) !== null && _a !== void 0 ? _a : '';
    }, [items, value]);
    var header = (0, react_1.useMemo)(function () { return (react_1.default.createElement("div", { className: "dui-category-filter__header" },
        react_1.default.createElement("span", { className: "dui-category-filter__name" }, title),
        isMobileOrTablet ? (react_1.default.createElement("span", { className: "dui-category-filter__value" }, selectedLabel)) : null)); }, [isMobileOrTablet, selectedLabel]);
    return (react_1.default.createElement(Box_1.Box, { header: header, className: (0, classnames_1.default)('dui-category-filter', className), collapsible: isMobileOrTablet, defaultCollapsed: isMobileOrTablet },
        react_1.default.createElement(SideMenu_1.SideMenu, { items: items, value: value, onClick: onClick })));
};
exports.CategoryFilter = CategoryFilter;
