"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_1 = require("@storybook/react");
var schemas_1 = require("@dcl/schemas");
var avatar_1 = require("../../data/avatar");
var Navbar_1 = require("./Navbar");
var Navbar_types_1 = require("./Navbar.types");
var network_1 = require("@dcl/schemas/dist/dapps/network");
var types_1 = require("../Notifications/types");
require("./Navbar.stories.css");
(0, react_1.storiesOf)('Navbar', module)
    .add('Marketplace', function () {
    return (React.createElement("div", { className: "Navbar-story-container" },
        React.createElement(Navbar_1.Navbar, { activePage: Navbar_types_1.NavbarPages.MARKETPLACE })));
})
    .add('Sign In', function () {
    return (React.createElement("div", { className: "Navbar-story-container" },
        React.createElement(Navbar_1.Navbar, { activePage: Navbar_types_1.NavbarPages.MARKETPLACE, onClickSignIn: function () { return console.log('Clicked on sign in'); } })));
})
    .add('Signed in', function () {
    return (React.createElement("div", { className: "Navbar-story-container" },
        React.createElement(Navbar_1.Navbar, { activePage: Navbar_types_1.NavbarPages.MARKETPLACE, isSignedIn: true, avatar: avatar_1.avatar, onClickSignIn: function () { return console.log('Clicked on sign in'); } })));
})
    .add('Signed in', function () {
    return (React.createElement("div", { className: "Navbar-story-container" },
        React.createElement(Navbar_1.Navbar, { activePage: Navbar_types_1.NavbarPages.MARKETPLACE, isSignedIn: true, avatar: avatar_1.avatar, onClickSignIn: function () { return console.log('Clicked on sign in'); } })));
})
    .add('With Chain Selector', function () {
    return (React.createElement("div", { className: "Navbar-story-container" },
        React.createElement(Navbar_1.Navbar, { activePage: Navbar_types_1.NavbarPages.MARKETPLACE, isSignedIn: true, chains: [
                schemas_1.ChainId.ETHEREUM_MAINNET,
                schemas_1.ChainId.MATIC_MAINNET,
                schemas_1.ChainId.ARBITRUM_MAINNET,
                schemas_1.ChainId.OPTIMISM_MAINNET,
                schemas_1.ChainId.BSC_MAINNET,
                schemas_1.ChainId.FANTOM_MAINNET,
                schemas_1.ChainId.AVALANCHE_MAINNET
            ], chainBeingConfirmed: schemas_1.ChainId.MATIC_MAINNET, selectedChain: schemas_1.ChainId.ETHEREUM_MAINNET, onSelectChain: function (chain) { return console.log('Selected chain', chain); }, avatar: avatar_1.avatar, onClickSignIn: function () { return console.log('Clicked on sign in'); } })));
})
    .add('With Balance', function () {
    var _a;
    return (React.createElement("div", { className: "Navbar-story-container" },
        React.createElement(Navbar_1.Navbar, { activePage: Navbar_types_1.NavbarPages.MARKETPLACE, isSignedIn: true, avatar: avatar_1.avatar, manaBalances: (_a = {}, _a[network_1.Network.ETHEREUM] = 1000, _a[network_1.Network.MATIC] = 2500, _a), onClickSignOut: function (e) { return console.log('Clicked on sign in', e); } })));
})
    .add('Width Activity pending', function () {
    var _a;
    return (React.createElement("div", { className: "Navbar-story-container" },
        React.createElement(Navbar_1.Navbar, { activePage: Navbar_types_1.NavbarPages.MARKETPLACE, isSignedIn: true, avatar: avatar_1.avatar, onClickSignOut: function (e) { return console.log('Clicked on sign in ', e); }, manaBalances: (_a = {}, _a[network_1.Network.ETHEREUM] = 1000, _a[network_1.Network.MATIC] = 2500, _a), onClickBalance: function (e, network) {
                return console.log('Clicked on balance ', e, network);
            }, onClickActivity: function (e) { return console.log('Clicked on activity ', e); }, hasActivity: true })));
})
    .add('With Notification', function () {
    var _a;
    return (React.createElement("div", { className: "Navbar-story-container" },
        React.createElement(Navbar_1.Navbar, { activePage: Navbar_types_1.NavbarPages.MARKETPLACE, isSignedIn: true, avatar: avatar_1.avatar, onClickSignOut: function (e) { return console.log('Clicked on sign in ', e); }, manaBalances: (_a = {}, _a[network_1.Network.ETHEREUM] = 1000, _a[network_1.Network.MATIC] = 2500, _a), onClickBalance: function (e, network) {
                return console.log('Clicked on balance ', e, network);
            }, onClickActivity: function (e) { return console.log('Clicked on activity ', e); }, hasActivity: true, notifications: {
                isOnboarding: false,
                isOpen: false,
                isLoading: false,
                items: [
                    {
                        id: 'A',
                        read: true,
                        type: types_1.DecentralandNotificationType.ITEM_SOLD,
                        address: '0xA',
                        timestamp: 1680108689 * 1000,
                        metadata: {
                            link: 'https://market.decentraland.org/contracts/0x4c290f486bae507719c562b6b524bdb71a2570c9/tokens/1020',
                            image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:atari_launch:atari_green_upper_body/thumbnail',
                            rarity: 'epic',
                            seller: '0x8bc619e7f9ca9949b8440245fd9d8c4c002edf02',
                            nftName: 'Green Atari Tee',
                            network: 'ethereum',
                            category: 'wearable'
                        },
                        created_at: '2023-11-29T12:51:00.600Z',
                        updated_at: '2023-11-30T12:51:00.600Z'
                    }
                ],
                locale: 'en',
                activeTab: types_1.NotificationActiveTab.NEWEST,
                onBegin: console.log,
                onChangeTab: console.log,
                onClick: console.log,
                onClose: console.log
            } })));
})
    .add('With Notification pending', function () {
    var _a;
    return (React.createElement("div", { className: "Navbar-story-container" },
        React.createElement(Navbar_1.Navbar, { activePage: Navbar_types_1.NavbarPages.MARKETPLACE, isSignedIn: true, avatar: avatar_1.avatar, onClickSignOut: function (e) { return console.log('Clicked on sign in ', e); }, manaBalances: (_a = {}, _a[network_1.Network.ETHEREUM] = 1000, _a[network_1.Network.MATIC] = 2500, _a), onClickBalance: function (e, network) {
                return console.log('Clicked on balance ', e, network);
            }, onClickActivity: function (e) { return console.log('Clicked on activity ', e); }, hasActivity: true, notifications: {
                isOnboarding: false,
                isOpen: false,
                isLoading: false,
                items: [
                    {
                        id: 'A',
                        read: false,
                        type: types_1.DecentralandNotificationType.ITEM_SOLD,
                        address: '0xA',
                        timestamp: 1680108689 * 1000,
                        metadata: {
                            link: 'https://market.decentraland.org/contracts/0x4c290f486bae507719c562b6b524bdb71a2570c9/tokens/1020',
                            image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:atari_launch:atari_green_upper_body/thumbnail',
                            rarity: 'epic',
                            seller: '0x8bc619e7f9ca9949b8440245fd9d8c4c002edf02',
                            nftName: 'Green Atari Tee',
                            network: 'ethereum',
                            category: 'wearable'
                        },
                        created_at: '2023-11-29T12:51:00.600Z',
                        updated_at: '2023-11-29T12:51:00.600Z'
                    }
                ],
                locale: 'en',
                activeTab: types_1.NotificationActiveTab.NEWEST,
                onBegin: console.log,
                onChangeTab: console.log,
                onClick: console.log,
                onClose: console.log
            } })));
});
