"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var NotificationItem_1 = __importDefault(require("../../NotificationItem"));
var ManaMainnet_1 = __importDefault(require("../../../Icons/Notifications/ManaMainnet"));
var ManaPoly_1 = __importDefault(require("../../../Icons/Notifications/ManaPoly"));
var schemas_1 = require("@dcl/schemas");
var utils_1 = require("../../utils");
var Mana_1 = require("../../../Mana/Mana");
var NotificationItemNFTLink_1 = __importDefault(require("../../NotificationItemNFTLink"));
var i18N = {
    en: {
        description: function (mana, nftName) { return (react_1.default.createElement(react_1.default.Fragment, null,
            "You've earned ",
            mana,
            " in royalties for ",
            nftName)); },
        title: 'Royalties Earned'
    },
    es: {
        description: function (mana, nftName) { return (react_1.default.createElement(react_1.default.Fragment, null,
            "Ganaste ",
            mana,
            " en regalias por ",
            nftName)); },
        title: 'Regalias ganadas'
    },
    zh: {
        description: function (mana, nftName) { return (react_1.default.createElement(react_1.default.Fragment, null,
            "\u60A8\u4E3A ",
            nftName,
            " \u8D62\u5F97\u4E86 ",
            mana)); },
        title: '所得版税'
    }
};
var RoyaltiesEarnedNotification = function (_a) {
    var notification = _a.notification, locale = _a.locale;
    return (react_1.default.createElement(NotificationItem_1.default, { image: {
            image: notification.metadata.image,
            backgroundColor: (0, utils_1.getBGColorByRarity)(notification.metadata.rarity),
            icon: notification.metadata.network === 'ethereum' ? (react_1.default.createElement(ManaMainnet_1.default, null)) : (react_1.default.createElement(ManaPoly_1.default, null))
        }, timestamp: notification.timestamp, isNew: !notification.read, locale: locale },
        react_1.default.createElement("p", { className: "dcl notification-item__content-title" }, i18N[locale].title),
        react_1.default.createElement("p", { className: "dcl notification-item__content-description" }, i18N[locale].description(react_1.default.createElement(Mana_1.Mana, { inline: true, network: notification.metadata.network === 'polygon'
                ? schemas_1.Network.MATIC
                : schemas_1.Network.ETHEREUM }, (0, utils_1.formatMana)(notification.metadata.royaltiesCut)), react_1.default.createElement(NotificationItemNFTLink_1.default, { link: notification.metadata.link, rarity: notification.metadata.rarity, name: notification.metadata.nftName })))));
};
exports.default = RoyaltiesEarnedNotification;
