"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_1 = require("@storybook/react");
var Notifications_1 = __importDefault(require("./Notifications"));
var NotificationItemImage_1 = __importDefault(require("./NotificationItemImage"));
var schemas_1 = require("@dcl/schemas");
var BidReceived_1 = __importDefault(require("../Icons/Notifications/BidReceived"));
var types_1 = require("./types");
var utils_1 = require("./utils");
var GovernanceAnnouncementNotification_1 = __importDefault(require("./NotificationTypes/Governance/GovernanceAnnouncementNotification"));
var GovernanceAuthoredProposalFinishedNotification_1 = __importDefault(require("./NotificationTypes/Governance/GovernanceAuthoredProposalFinishedNotification"));
var GovernanceCoauthorRequestedNotification_1 = __importDefault(require("./NotificationTypes/Governance/GovernanceCoauthorRequestedNotification"));
var GovernanceNewCommentOnProposalNotification_1 = __importDefault(require("./NotificationTypes/Governance/GovernanceNewCommentOnProposalNotification"));
var GovernanceNewCommentOnProjectUpdateNotification_1 = __importDefault(require("./NotificationTypes/Governance/GovernanceNewCommentOnProjectUpdateNotification"));
var GovernanceVotingEndedVoterNotification_1 = __importDefault(require("./NotificationTypes/Governance/GovernanceVotingEndedVoterNotification"));
var GovernanceProposalEnactedNotification_1 = __importDefault(require("./NotificationTypes/Governance/GovernanceProposalEnactedNotification"));
var NotificationTypes_1 = require("./NotificationTypes");
var utils_2 = require("../AddressField/utils");
(0, react_1.storiesOf)('Notifications Toggle', module)
    .add('Without new notifications', function () {
    return (React.createElement("div", null,
        React.createElement(Notifications_1.default, { isOpen: false, isLoading: false, isOnboarding: false, items: [], locale: "en", activeTab: types_1.NotificationActiveTab.NEWEST, onChangeTab: function (e, newTab) { return console.log(newTab); }, onClick: function () { return console.log('Toggle button'); }, onBegin: function () { return console.log('Begin'); }, onClose: function (_, m) { return console.log(m); } })));
})
    .add('With new notificatitons', function () {
    return (React.createElement("div", null,
        React.createElement(Notifications_1.default, { isOpen: false, isLoading: false, isOnboarding: false, items: [
                {
                    id: 'A',
                    read: false,
                    type: types_1.DecentralandNotificationType.ITEM_SOLD,
                    address: '0xA',
                    timestamp: 1680108689 * 1000,
                    metadata: {
                        link: 'https://market.decentraland.org/contracts/0x4c290f486bae507719c562b6b524bdb71a2570c9/tokens/1020',
                        image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:atari_launch:atari_green_upper_body/thumbnail',
                        rarity: 'epic',
                        seller: '0x8bc619e7f9ca9949b8440245fd9d8c4c002edf02',
                        nftName: 'Green Atari Tee',
                        network: 'ethereum',
                        category: 'wearable'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                }
            ], locale: "en", activeTab: types_1.NotificationActiveTab.NEWEST, onChangeTab: function (e, newTab) { return console.log(newTab); }, onClick: function () { return console.log('Toggle button'); }, onBegin: function () { return console.log('Begin'); }, onClose: function (_, m) { return console.log(m); } })));
})
    .add('Onboarding', function () {
    return (React.createElement("div", null,
        React.createElement(Notifications_1.default, { isOpen: true, isLoading: false, isOnboarding: true, items: [
                {
                    id: 'A',
                    read: false,
                    type: types_1.DecentralandNotificationType.ITEM_SOLD,
                    address: '0xA',
                    timestamp: 1680108689 * 1000,
                    metadata: {
                        link: 'https://market.decentraland.org/contracts/0x4c290f486bae507719c562b6b524bdb71a2570c9/tokens/1020',
                        image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:atari_launch:atari_green_upper_body/thumbnail',
                        rarity: 'epic',
                        seller: '0x8bc619e7f9ca9949b8440245fd9d8c4c002edf02',
                        nftName: 'Green Atari Tee',
                        network: 'ethereum',
                        category: 'wearable'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                }
            ], activeTab: types_1.NotificationActiveTab.NEWEST, onChangeTab: function (e, newTab) { return console.log(newTab); }, locale: "en", onClick: function () { return console.log('Toggle button'); }, onBegin: function () { return console.log('Begin'); }, onClose: function (_, m) { return console.log(m); } })));
})
    .add('Open not loading', function () {
    var _a = React.useState('newest'), tab = _a[0], setTab = _a[1];
    return (React.createElement("div", null,
        React.createElement(Notifications_1.default, { isOpen: true, isLoading: false, isOnboarding: false, locale: "en", items: [
                {
                    id: 'AA',
                    read: true,
                    type: types_1.DecentralandNotificationType.GOVERNANCE_AUTHORED_PROPOSAL_FINISHED,
                    address: '0xA',
                    timestamp: new Date().getTime(),
                    metadata: {
                        link: 'https://decentraland.org/governance',
                        title: 'Test Governance Announcement',
                        description: 'Test description',
                        proposalId: 'AAA_PROPOSAL_111',
                        proposalTitle: 'Open Source all code using DAO funds'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                },
                {
                    id: 'B',
                    read: true,
                    type: types_1.DecentralandNotificationType.ROYALTIES_EARNED,
                    address: '0xA',
                    timestamp: new Date().getTime(),
                    metadata: {
                        link: 'https://market.decentraland.zone/contracts/0xb726634ed82ac04e6bca66b3b97cc41a2c10ec31/tokens/9',
                        image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:binance_us_collection:binance_us_upper_body/thumbnail',
                        rarity: 'common',
                        network: 'polygon',
                        nftName: 'NJacket',
                        category: 'wearable',
                        royaltiesCut: '30000000000000000',
                        royaltiesCollector: '0x2a39d4f68133491f0442496f601cde2a945b6d31'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                },
                {
                    id: 'A',
                    read: true,
                    type: types_1.DecentralandNotificationType.ITEM_SOLD,
                    address: '0xA',
                    timestamp: new Date(new Date().setHours(new Date().getHours() - 19)).getTime(),
                    metadata: {
                        link: 'https://market.decentraland.org/contracts/0xa8ee490e4c4da48cc1653502c1a77479d4d818de/tokens/590',
                        image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:binance_us_collection:binance_us_upper_body/thumbnail',
                        rarity: 'epic',
                        seller: '0x6b347a82fcac4e6a38d1fc40e3631bd8f9495e9f',
                        nftName: 'Exclusive Binance Hoodie',
                        network: 'ethereum',
                        category: 'wearable'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                },
                {
                    id: 'A',
                    read: true,
                    type: types_1.DecentralandNotificationType.ITEM_SOLD,
                    address: '0xA',
                    timestamp: new Date(new Date().setHours(new Date().getHours() - 19)).getTime(),
                    metadata: {
                        link: 'https://market.decentraland.org/contracts/0xa8ee490e4c4da48cc1653502c1a77479d4d818de/tokens/590',
                        image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:binance_us_collection:binance_us_upper_body/thumbnail',
                        rarity: 'epic',
                        seller: '0x6b347a82fcac4e6a38d1fc40e3631bd8f9495e9f',
                        nftName: 'Exclusive Binance Hoodie',
                        network: 'ethereum',
                        category: 'wearable'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                },
                {
                    id: 'A',
                    read: true,
                    type: types_1.DecentralandNotificationType.ITEM_SOLD,
                    address: '0xA',
                    timestamp: new Date(new Date().setHours(new Date().getHours() - 19)).getTime(),
                    metadata: {
                        link: 'https://market.decentraland.org/contracts/0xa8ee490e4c4da48cc1653502c1a77479d4d818de/tokens/590',
                        image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:binance_us_collection:binance_us_upper_body/thumbnail',
                        rarity: 'epic',
                        seller: '0x6b347a82fcac4e6a38d1fc40e3631bd8f9495e9f',
                        nftName: 'Exclusive Binance Hoodie',
                        network: 'ethereum',
                        category: 'wearable'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                },
                {
                    id: 'A',
                    read: true,
                    type: types_1.DecentralandNotificationType.ITEM_SOLD,
                    address: '0xA',
                    timestamp: new Date(new Date().setHours(new Date().getHours() - 19)).getTime(),
                    metadata: {
                        link: 'https://market.decentraland.org/contracts/0xa8ee490e4c4da48cc1653502c1a77479d4d818de/tokens/590',
                        image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:binance_us_collection:binance_us_upper_body/thumbnail',
                        rarity: 'epic',
                        seller: '0x6b347a82fcac4e6a38d1fc40e3631bd8f9495e9f',
                        nftName: 'Exclusive Binance Hoodie',
                        network: 'ethereum',
                        category: 'wearable'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                },
                {
                    id: 'AC',
                    read: true,
                    type: types_1.DecentralandNotificationType.ITEM_SOLD,
                    address: '0xA',
                    timestamp: 1701123003 * 1000,
                    metadata: {
                        link: 'https://market.decentraland.org/contracts/0xa8ee490e4c4da48cc1653502c1a77479d4d818de/tokens/590',
                        image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:binance_us_collection:binance_us_upper_body/thumbnail',
                        rarity: 'uncommon',
                        seller: '0x6b347a82fcac4e6a38d1fc40e3631bd8f9495e9f',
                        nftName: 'Binance US Hoodie',
                        network: 'ethereum',
                        category: 'wearable'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                },
                {
                    id: 'AS',
                    read: true,
                    type: types_1.DecentralandNotificationType.ITEM_SOLD,
                    address: '0xA',
                    timestamp: 1701123003 * 1000,
                    metadata: {
                        link: 'https://market.decentraland.org/contracts/0xa8ee490e4c4da48cc1653502c1a77479d4d818de/tokens/590',
                        image: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:binance_us_collection:binance_us_upper_body/thumbnail',
                        rarity: 'uncommon',
                        seller: '0x6b347a82fcac4e6a38d1fc40e3631bd8f9495e9f',
                        nftName: 'Binance US Hoodie',
                        network: 'ethereum',
                        category: 'wearable'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                },
                {
                    id: 'AA',
                    read: true,
                    type: types_1.DecentralandNotificationType.LAND_RENTED,
                    address: '0xA',
                    timestamp: new Date().getTime(),
                    metadata: {
                        description: 'The rent of your LAND at 5,48 has ended.',
                        link: 'https://marketplace-url/contracts/0x42f4ba48791e2de32f5fbf553441c2672864bb33/tokens/random-token-id/manage',
                        title: 'Rent Period Ending',
                        contract: '0x42f4ba48791e2de32f5fbf553441c2672864bb33',
                        lessor: '0x24e5f44999c151f08609f8e27b2238c773c4d020',
                        tenant: '0xd5359E309c47c8920C277d078d5F3c3DBeA1ef84',
                        operator: '0xd5359E309c47c8920C277d078d5F3c3DBeA1ef84',
                        startedAt: '1710447420',
                        endedAt: '1710533820',
                        tokenId: 'random-token-id',
                        land: '5,48'
                    },
                    created_at: '2023-11-29T12:51:00.600Z',
                    updated_at: '2023-11-29T12:51:00.600Z'
                }
            ], activeTab: tab, onChangeTab: function (e, newTab) { return setTab(newTab); }, onClick: function () { return console.log('Toggle button'); }, onBegin: function () { return console.log('Begin'); }, onClose: function (_, m) { return console.log(m); }, renderProfile: function (address) { return (0, utils_2.shorten)(address); } })));
})
    .add('Open not loading but empty', function () {
    return (React.createElement("div", null,
        React.createElement(Notifications_1.default, { isOpen: true, isLoading: false, isOnboarding: false, locale: "en", items: [], activeTab: types_1.NotificationActiveTab.NEWEST, onChangeTab: function (e, newTab) { return console.log(newTab); }, onClick: function () { return console.log('Toggle button'); }, onBegin: function () { return console.log('Begin'); }, onClose: function (_, m) { return console.log(m); } })));
})
    .add('Open loading', function () {
    return (React.createElement("div", null,
        React.createElement(Notifications_1.default, { isOpen: true, isLoading: true, isOnboarding: false, locale: "en", items: [], activeTab: types_1.NotificationActiveTab.NEWEST, onChangeTab: function (e, newTab) { return console.log(newTab); }, onClick: function () { return console.log('Toggle button'); }, onBegin: function () { return console.log('Begin'); }, onClose: function (_, m) { return console.log(m); } })));
})
    .add('NotificationItemImage', function () {
    return (React.createElement("div", null,
        React.createElement(NotificationItemImage_1.default, { backgroundColor: (0, utils_1.getBGColorByRarity)(schemas_1.Rarity.EPIC), image: "https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:binance_us_collection:binance_us_upper_body/thumbnail", icon: React.createElement(BidReceived_1.default, null) })));
})
    .add('Governance Notifications', function () {
    return (React.createElement("div", { style: { display: 'flex', flexDirection: 'column', gap: '10px' } },
        React.createElement(GovernanceAnnouncementNotification_1.default, { notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.GOVERNANCE_ANNOUNCEMENT,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    link: 'https://decentraland.org/governance',
                    title: 'Test Governance Announcement',
                    description: 'Test description'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            }, locale: "en" }),
        React.createElement(GovernanceAuthoredProposalFinishedNotification_1.default, { locale: "en", notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.GOVERNANCE_AUTHORED_PROPOSAL_FINISHED,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    link: 'https://decentraland.org/governance',
                    title: 'Test Governance Announcement',
                    description: 'Test description',
                    proposalId: 'AAA_PROPOSAL_111',
                    proposalTitle: 'Open Source all code using DAO funds'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            } }),
        React.createElement(GovernanceCoauthorRequestedNotification_1.default, { locale: "en", notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.GOVERNANCE_COAUTHOR_REQUESTED,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    link: 'https://decentraland.org/governance',
                    title: 'Test Governance Announcement',
                    description: 'Test description',
                    proposalId: 'AAA_PROPOSAL_111',
                    proposalTitle: 'Open Source all code using DAO funds'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            } }),
        React.createElement(GovernanceNewCommentOnProposalNotification_1.default, { locale: "en", notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.GOVERNANCE_NEW_COMMENT_ON_PROPOSAL,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    link: 'https://decentraland.org/governance',
                    title: 'Test Governance Announcement',
                    description: 'Test description',
                    proposalId: 'AAA_PROPOSAL_111',
                    proposalTitle: 'Open Source all code using DAO funds'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            } }),
        React.createElement(GovernanceNewCommentOnProjectUpdateNotification_1.default, { locale: "en", notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.GOVERNANCE_NEW_COMMENT_ON_PROJECT_UPDATE,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    link: 'https://decentraland.org/governance',
                    title: 'Test Governance Announcement',
                    description: 'Test description',
                    proposalId: 'AAA_PROPOSAL_111',
                    proposalTitle: 'Open Source all code using DAO funds'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            } }),
        React.createElement(GovernanceProposalEnactedNotification_1.default, { locale: "en", notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.GOVERNANCE_PROPOSAL_ENACTED,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    link: 'https://decentraland.org/governance',
                    title: 'Test Governance Announcement',
                    description: 'Test description',
                    proposalId: 'AAA_PROPOSAL_111',
                    proposalTitle: 'Open Source all code using DAO funds'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            } }),
        React.createElement(GovernanceVotingEndedVoterNotification_1.default, { locale: "en", notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.GOVERNANCE_VOTING_ENDED_VOTER,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    link: 'https://decentraland.org/governance',
                    title: 'Test Governance Announcement',
                    description: 'Test description',
                    proposalId: 'AAA_PROPOSAL_111',
                    proposalTitle: 'Open Source all code using DAO funds'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            } })));
})
    .add('Land Notifications', function () {
    return (React.createElement("div", { style: { display: 'flex', flexDirection: 'column', gap: '10px' } },
        React.createElement(NotificationTypes_1.LandRentedNotification, { notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.LAND_RENTED,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    description: 'The rent of your LAND at 5,48 has ended.',
                    link: 'https://marketplace-url/contracts/0x42f4ba48791e2de32f5fbf553441c2672864bb33/tokens/random-token-id/manage',
                    title: 'Rent Period Ending',
                    contract: '0x42f4ba48791e2de32f5fbf553441c2672864bb33',
                    lessor: '0x24e5f44999c151f08609f8e27b2238c773c4d020',
                    tenant: '0xd5359E309c47c8920C277d078d5F3c3DBeA1ef84',
                    operator: '0xd5359E309c47c8920C277d078d5F3c3DBeA1ef84',
                    startedAt: '1710447420',
                    endedAt: '1710533820',
                    tokenId: 'random-token-id',
                    land: '5,48'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            }, locale: "en", renderProfile: function (address) { return (0, utils_2.shorten)(address); } }),
        React.createElement(NotificationTypes_1.LandRentalEndedNotification, { notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.LAND_RENTAL_ENDED,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    description: 'The rent of your LAND at 5,48 has ended.',
                    link: 'https://marketplace-url/contracts/0x42f4ba48791e2de32f5fbf553441c2672864bb33/tokens/random-token-id/manage',
                    title: 'Rent Period Ending',
                    contract: '0x42f4ba48791e2de32f5fbf553441c2672864bb33',
                    lessor: '0x24e5f44999c151f08609f8e27b2238c773c4d020',
                    tenant: '0xd5359E309c47c8920C277d078d5F3c3DBeA1ef84',
                    operator: '0xd5359E309c47c8920C277d078d5F3c3DBeA1ef84',
                    startedAt: '1710447420',
                    endedAt: '1710533820',
                    tokenId: 'random-token-id',
                    land: '5,48'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            }, locale: "en" })));
})
    .add('Reward Notifications', function () {
    return (React.createElement("div", { style: { display: 'flex', flexDirection: 'column', gap: '10px' } },
        React.createElement(NotificationTypes_1.RewardAssignedNotification, { notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.REWARD_ASSIGNED,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    tokenImage: 'https://peer.decentraland.org/lambdas/collections/contents/urn:decentraland:ethereum:collections-v1:atari_launch:atari_green_upper_body/thumbnail',
                    tokenRarity: 'epic',
                    tokenName: 'Green Atari Tee'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            }, locale: "en" })));
})
    .add('Events Notifications', function () {
    var futureStartDate = new Date();
    futureStartDate.setSeconds(futureStartDate.getSeconds() + 50);
    var pastStartDate = new Date();
    pastStartDate.setSeconds(pastStartDate.getSeconds() - 50);
    return (React.createElement("div", { style: { display: 'flex', flexDirection: 'column', gap: '10px' } },
        React.createElement(NotificationTypes_1.EventsStartsSoonNotification, { notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.EVENTS_STARTS_SOON,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    link: 'https://decentraland.org/events/event/?id=0f91b470-2d4a-4ecc-a619-8c682d872685',
                    startsAt: futureStartDate.toString(),
                    endsAt: '2023-11-29T12:51:00.600Z',
                    image: 'https://events-assets-099ac00.decentraland.org/poster/b9c4b26365d32607.jpg4',
                    name: 'Decentraland Art Week'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            }, locale: "en" }),
        React.createElement(NotificationTypes_1.EventsStartsSoonNotification, { notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.EVENTS_STARTS_SOON,
                address: '0xA',
                timestamp: new Date('2023-11-29T12:51:00.600Z').getTime(),
                metadata: {
                    link: 'https://decentraland.org/events/event/?id=0f91b470-2d4a-4ecc-a619-8c682d872685',
                    startsAt: pastStartDate.toString(),
                    endsAt: '2023-11-29T12:51:00.600Z',
                    image: 'https://events-assets-099ac00.decentraland.org/poster/b9c4b26365d32607.jpg4',
                    name: 'Decentraland Art Week'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            }, locale: "en" }),
        React.createElement(NotificationTypes_1.EventsStartedNotification, { locale: "en", notification: {
                id: 'AA',
                read: true,
                type: types_1.DecentralandNotificationType.EVENTS_STARTED,
                address: '0xA',
                timestamp: new Date().getTime(),
                metadata: {
                    link: 'https://decentraland.org/events/event/?id=0f91b470-2d4a-4ecc-a619-8c682d872685',
                    image: 'https://events-assets-099ac00.decentraland.org/poster/b9c4b26365d32607.jpg4',
                    name: 'Decentraland Art Week'
                },
                created_at: '2023-11-29T12:51:00.600Z',
                updated_at: '2023-11-29T12:51:00.600Z'
            } })));
});
