"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_1 = require("@storybook/react");
var avatar_1 = require("../../data/avatar");
var Mana_1 = require("../Mana/Mana");
var Profile_1 = require("./Profile");
require("./Profile.stories.css");
(0, react_1.storiesOf)('Profile', module)
    .add('No avatar', function () { return (React.createElement(React.Fragment, null,
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef" }))); })
    .add('Avatar', function () { return (React.createElement(React.Fragment, null,
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar }))); })
    .add('Avatar without name', function () { return (React.createElement(React.Fragment, null,
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: __assign(__assign({}, avatar_1.avatar), { name: null }) }))); })
    .add('Avatar with an unclaimed name', function () { return (React.createElement(React.Fragment, null,
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: __assign(__assign({}, avatar_1.avatar), { hasClaimedName: false }) }))); })
    .add('Image only', function () { return (React.createElement(React.Fragment, null,
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, imageOnly: true }))); })
    .add('Text only', function () { return (React.createElement(React.Fragment, null,
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, textOnly: true }))); })
    .add('Inline', function () { return (React.createElement(React.Fragment, null,
    "You sent ",
    React.createElement(Mana_1.Mana, { inline: true }, "1,000"),
    " to",
    ' ',
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, inline: true }))); })
    .add('Decentraland', function () { return (React.createElement(React.Fragment, null,
    "You sent ",
    React.createElement(Mana_1.Mana, { inline: true }, "1,000"),
    " to",
    ' ',
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, inline: true, isDecentraland: true }))); })
    .add('Sliced address', function () { return (React.createElement("div", { className: "ProfileList" },
    React.createElement(Profile_1.Profile, { address: "0x89805E5f0698Cb4dB57f0E389f2a75259f78CCF6", sliceAddressBy: 10 }),
    React.createElement(Profile_1.Profile, { address: "0x89805E5f0698Cb4dB57f0E389f2a75259f78CCF6", sliceAddressBy: 20 }),
    React.createElement(Profile_1.Profile, { address: "0x89805E5f0698Cb4dB57f0E389f2a75259f78CCF6", sliceAddressBy: 30 }),
    React.createElement(Profile_1.Profile, { address: "0x89805E5f0698Cb4dB57f0E389f2a75259f78CCF6", sliceAddressBy: 40 }))); })
    .add('Sizes', function () { return (React.createElement(React.Fragment, null,
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, inline: false, size: "normal", imageOnly: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, inline: false, size: "large", imageOnly: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, inline: false, size: "huge", imageOnly: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, inline: false, size: "massive", imageOnly: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, inline: false, size: "normal", imageOnly: true, isDecentraland: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, inline: false, size: "large", imageOnly: true, isDecentraland: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, inline: false, size: "huge", imageOnly: true, isDecentraland: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", avatar: avatar_1.avatar, inline: false, size: "massive", imageOnly: true, isDecentraland: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", inline: false, size: "normal", imageOnly: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", inline: false, size: "large", imageOnly: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", inline: false, size: "huge", imageOnly: true }),
    React.createElement(Profile_1.Profile, { address: "0xdeadbeef", inline: false, size: "massive", imageOnly: true }))); })
    .add('Profile with avatar and content linked to another site', function () { return (React.createElement(React.Fragment, null,
    React.createElement(Profile_1.Profile, { address: "0x89805E5f0698Cb4dB57f0E389f2a75259f78CCF6", avatar: avatar_1.avatar, inline: true, as: "a", href: "https://decentraland.zone/marketplace/accounts/0x89805E5f0698Cb4dB57f0E389f2a75259f78CCF6", target: "_blank" }))); })
    .add('Profile with blockie and content linked to another site', function () { return (React.createElement(React.Fragment, null,
    React.createElement(Profile_1.Profile, { address: "0x89805E5f0698Cb4dB57f0E389f2a75259f78CCF6", inline: true, as: 'a', href: "https://decentraland.zone/marketplace/accounts/0x89805E5f0698Cb4dB57f0E389f2a75259f78CCF6", target: "_blank" }))); });
