"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_2 = require("react");
var Dropdown_1 = require("../../../Dropdown/Dropdown");
var Tabs_1 = require("../../../Tabs/Tabs");
require("./TableContainer.css");
var TableContainer = (0, react_2.forwardRef)(function (props, ref) {
    var children = props.children, tabsList = props.tabsList, activeTab = props.activeTab, handleTabChange = props.handleTabChange, sortbyList = props.sortbyList, handleSortByChange = props.handleSortByChange, sortBy = props.sortBy;
    return (react_1.default.createElement("div", { className: "dui-table-container", ref: ref },
        tabsList.length || (sortbyList === null || sortbyList === void 0 ? void 0 : sortbyList.length) ? (react_1.default.createElement("div", { className: "dui-table-container__filters" },
            tabsList.length > 0 ? (react_1.default.createElement(Tabs_1.Tabs, { isFullscreen: true }, tabsList.map(function (tab) { return (react_1.default.createElement(Tabs_1.Tabs.Tab, { key: tab.value, active: activeTab === tab.value, onClick: function () {
                    handleTabChange && handleTabChange(tab.value);
                } },
                react_1.default.createElement("div", { className: "dui-table-container__tabs" }, tab.displayValue))); }))) : null,
            sortbyList && (react_1.default.createElement(Dropdown_1.Dropdown, { direction: "left", className: "dui-table-container__sort-by", value: sortBy, onChange: function (_event, data) {
                    var value = data.value.toString();
                    handleSortByChange && handleSortByChange(value);
                }, options: sortbyList })))) : null,
        children));
});
exports.default = TableContainer;
