import * as React from 'react';
import { Avatar } from '@dcl/schemas/dist/platform/profile/avatar';
import './Profile.css';
declare type Props<T extends React.ElementType> = {
    address: string;
    avatar?: Avatar | null;
    textOnly?: boolean;
    imageOnly?: boolean;
    hasPopup?: boolean;
    inline?: boolean;
    sliceAddressBy?: number;
    size?: 'normal' | 'large' | 'huge' | 'massive';
    isDecentraland?: boolean;
    i18n?: {
        defaultName: string;
    };
    as?: T;
};
export declare type ProfileProps<T extends React.ElementType> = Props<T> & Omit<React.ComponentPropsWithRef<T>, keyof Props<T>>;
export declare const Profile: <T extends React.ElementType<any>>(props: ProfileProps<T>) => JSX.Element;
export {};
