import * as React from 'react';
import { IPreviewController } from '@dcl/schemas/dist/dapps/preview';
import './EmoteControls.css';
export declare type EmoteControlsProps = {
    wearablePreviewId: string;
    className?: string;
    hideFrameInput?: boolean;
    hideProgressInput?: boolean;
    hidePlayButton?: boolean;
    hideSoundButton?: boolean;
    wearablePreviewController?: IPreviewController;
};
declare type EmoteControlsState = {
    frame: number;
    isPlaying: boolean;
    playingIntervalId?: number;
    length?: number;
    isSoundEnabled: boolean;
    hasSound: boolean;
    shouldResumePlaying: boolean;
    isChangingFrame: boolean;
};
export declare class EmoteControls extends React.PureComponent<EmoteControlsProps, EmoteControlsState> {
    previewController: IPreviewController | undefined;
    state: EmoteControlsState;
    handleAnimationLoop: () => void;
    handleAnimationEnd: () => void;
    handleAnimationPause: () => void;
    handleAnimationPlay: () => Promise<void>;
    handleAnimationPlaying: ({ length }: {
        length: any;
    }) => void;
    componentDidMount(): void;
    handlePlayPause: () => Promise<void>;
    handleSoundToggle: () => void;
    handleFrameChange: (value: number) => Promise<void>;
    handleMouseUp: () => Promise<void>;
    componentDidUpdate(): Promise<void>;
    render(): JSX.Element;
}
export {};
